@charset "UTF-8";
/* CSS Document */

/* Navbar Section */
.navbar img,
.navbar .nav-item,
.navbar .btn-outside-popup,
.navbar-toggler {
    opacity: 1;
    animation: none !important;
}

/* Fire Protection Section */
.fp-bg {
    position: relative;
    width: 100%;
    height: 100%;
}

.fp-bg::before {
    content: "";
    background-image: url("../images/fire-protection-system-pic.jpg");
    /* background-image: url("../images/Fire\ Protection\ System.png"); */
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    z-index: -100;
}

/* Breadcrumb Section */
.breadcrumb {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    padding: var(--space-xxs) 0 0 var(--space-xl);
}

.breadcrumb-item a {
    color: var(--color-secondary-text);
    text-decoration: none;
}

.breadcrumb-item a:hover {
    color: var(--color-primary);
}

.breadcrumb-item.active {
    color: var(--color-secondary-text);
    text-decoration: underline;
    font-weight: bold;
}

.breadcrumb-container .breadcrumb-item + .breadcrumb-item::before {
    color: var(--color-secondary-text);
}

@media screen and (max-width: 1199.98px) {

    .breadcrumb {
        padding-left: var(--space-l);
    }
}

@media screen and (max-width: 767.98px) {

    .breadcrumb {
        padding-left: var(--space-s);
        padding-right: var(--space-s);
    }
}

/* Fire Protection Content */
.fp-section {
    width: 100%;
    height: fit-content;
    background-color: var(--color-secondary-overlay);
}

.fp-content {
    width: 100%;
    height: 100vh;
}

.fp-content h2,
.fp-content p {
    color: var(--color-secondary-text);
}

.fp-content p {
    width: 65%;
}

@media screen and (max-width: 1199.98px) {
    
    .fp-content {
        padding: 0 var(--space-xs);
    }

    .fp-content p {
        width: 80%;
    }
}

@media screen and (max-width: 767.98px) {

    .fp-content p {
        width: 100%;
    }
}

/* Service Details Section
.sd-bento {
    width: 100%;
    height: 350px;
    gap: var(--space-s);
}

.sd-bento .col {
    flex: 1 1 0;
    border-radius: var(--border-secondary-radius);
    background: var(--color-secondary-bg-gradient);
}

.sd-bento span {
    width: 100%;
    border: 1px solid var(--color-primary-text);
    margin: var(--space-xs) 0;
}

@media screen and (max-width: 991.98px) {
    
    .sd-bento {
        flex-direction: column;
        height: 700px;
    }
}

@media screen and (max-width: 767.98px) {
    
    .sd-bento {
        flex-direction: column;
        height: 800px;
        padding: 0 var(--space-xs);
    }
}

@media screen and (max-width: 575.98px) {
    
    .sd-bento {
        height: 1000px;
    }
} */

/* Recommendation Section */
.recommendation-content {
    width: 100%;
    height: 100vh;
}

.recommendation-content h2 {
    color: var(--color-secondary-text);
}

.recommendation-content .content-images a{
    position: relative;
    width: 300px;
    height: 300px;
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows-white);
    overflow: hidden;

    transition: 0.3s ease-in-out;
}

.recommendation-content .content-images a:hover {
    transform: scale(1.05);
    box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-tertiary) var(--color-shadows-white);
}

.recommendation-content .content-images a:nth-of-type(odd)::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--color-tertiary-overlay);
    z-index: 1;
}

.recommendation-content .content-images a:nth-of-type(2) {
    margin: 0 var(--space-s);
}

.recommendation-content .content-images span {
    position: absolute;
    text-align: center;
    color: var(--color-primary-text);
    font-weight: bold;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

 .recommendation-content .content-images img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media screen and (max-width: 1199.98px) {
    
    .recommendation-content .content-images a {
        width: 225px;
        height: 225px;
    }
}

@media screen and (max-width: 767.98px) {

    .recommendation-content .content-images {
        flex-direction: column;
    }

    .recommendation-content .content-images a {
        width: 250px;
        height: 250px;
    }
    
    .recommendation-content .content-images a:nth-of-type(2) {
        margin: var(--space-s) 0;
    }
}